package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * @Author：张腾
 * @Package：com.muyu.server.pojo //核心数据
 * @Project：cloud-integration
 * @name：DataSourceList
 * @Date：2024/8/20 18:47
 */
@Data
@Builder
@TableName(value = "core_data")
@AllArgsConstructor
@NoArgsConstructor
public class CoreDataList {

    /**
     * 主键/编号
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String gender;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 地址
     */
    private String address;

    /**
     * 手机号
     */
    private String telePhone;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 征信状态
     */
    private String credit;

    /**
     * 数据库对象构建为返回结果对象
     * @param dataSourceLists 数据对象
     * @return 试图对象
     */
    public static CoreDataList coreDataBuild(CoreDataList dataSourceLists, Supplier<List<CoreDataList>> o) {
        return CoreDataList.builder()
                .id(dataSourceLists.getId())
                .name(dataSourceLists.getName())
                .gender(dataSourceLists.getGender())
                .birthday(dataSourceLists.getBirthday())
                .address(dataSourceLists.getAddress())
                .telePhone(dataSourceLists.getTelePhone())
                .idCard(dataSourceLists.getIdCard())
                .email(dataSourceLists.getEmail())
                .credit(dataSourceLists.getCredit())
                .build();
    }
}
