package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.common.domain
 * @Project：cloud-property
 * @name：dataName
 * @Date：2024/8/27 19:14
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("data_name")
public class DataName {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据库名称
     */
    private String name;

    /**
     * 数据库表名
     */
    @TableField(exist = false)
    private List<TableNames> tableNames;

    public DataName(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    public static DataName dataNameBuild(DataName dataName) {
        return DataName.builder()
                .id(dataName.getId())
                .name(dataName.getName())
                .build();
    }
}
