package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.extern.log4j.Log4j2;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.common.domain
 * @Project：cloud-property
 * @name：TableName
 * @Date：2024/8/25 15:12
 */
@Data
@Builder
@Log4j2
@AllArgsConstructor
@NoArgsConstructor
@TableName("table_name")
public class TableNames {

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 表名称
     */
    private String name;

    /**
     * 数据库名称ID
     */
    private Integer dataId;

    /**
     * 数据库表字段
     */
    @TableField(exist = false)
    private List<TableFie> tableFie;

    public TableNames(String name, Integer dataId) {
        this.name = name;
        this.dataId = dataId;
    }

    /**
     * 查询所有数据字段
     * @param tableFie 所有数据字段列表请求参数
     * @return 数据字段列表
     */
    public static TableNames tableNamesBuild(TableNames tableFie) {
        return TableNames.builder()
                .id(tableFie.getId())
                .name(tableFie.getName())
                .dataId(tableFie.getDataId())
                .build();
    }
}
