package com.muyu.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.domain.req.CoreDataListReq;
import com.muyu.server.service.OperateCoreDataService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.muyu.server.controller  添加产品库
 * @Project：cloud-integration
 * @name：OperateCoreDataListController
 * @Date：2024/8/21 下午10:13
 */
@RestController
@RequestMapping("/operateCoreData")
public class OperateCoreDataListController {

    @Autowired private OperateCoreDataService operateCoreDataService;

    /**
     * 获取清洗转换后数据进行添加核心数据库
     * @param coreDataReqList 添加数据集合
     * @return 添加后结果
     */
    @GetMapping
    @Operation(summary = "添加核心数据",description = "添加处理后的数据")
    public Result<Object> addCoreData(
            @Validated @RequestBody List<CoreDataListReq> coreDataReqList
    ){
        operateCoreDataService.addCoreData(coreDataReqList);
        return Result.success("","接受的"+coreDataReqList.size()+"条数据已添加核心数据库");
    }

}
